Bug 824676 - Include Tresor in RHEL kernel [NEEDINFO]
Include Tresor in RHEL kernel
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Herbert Xu
Kernel General QE
:
Depends On:
Blocks: 1270638
  Show dependency treegraph
 
Reported: 2012-05-23 20:26 EDT by Benjamin Kingston
Modified: 2015-10-15 02:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 02:18:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
herbert.xu: needinfo? (lwang)


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kingston 2012-05-23 20:26:23 EDT
Description of problem:
Request to include Tresor in the RHEL kernel builds to increase security against cold boot attacks against LUKS encrypted volumes. Including this in the kernel can enhance security as a new kernel build won't be required for new security updates.

Version-Release number of selected component (if applicable):
current

How reproducible:
NOTABUG

Additional info:

http://www1.informatik.uni-erlangen.de/tresor
Comment 2 RHEL Product and Program Management 2012-05-26 22:53:38 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Herbert Xu 2015-10-15 02:18:00 EDT
This needs to be submitted upstream first.

Note You need to log in before you can comment on or make changes to this bug.